package net.northking.cctp.upperComputer.driver.usbmuxd.payload.service.request;

import com.dd.plist.NSDictionary;
import net.northking.cctp.upperComputer.driver.usbmuxd.payload.service.ServicePayload;
import net.northking.cctp.upperComputer.driver.usbmuxd.service.LockdownService;

public class GetValueRequest extends ServicePayload {

    /**
     * 持有根节点
     */
    private final NSDictionary root = new NSDictionary();

    public GetValueRequest() {
        root.put("Label", PROG_NAME);
        root.put("Request", "GetValue");
    }

    public void setTarget(LockdownService.ValueName valueName) {
        root.put("Key", valueName.getName());
    }

    @Override
    public NSDictionary toData() {
        return root;
    }
}
